import { Clonable, Keypair, PK, SI } from '../types';
export declare class Peer implements Clonable {
    identity_pk: PK;
    ephemeral_pk: PK;
    ephemeral_signature: SI;
    constructor(identity_pk: PK, ephemeral_pk: PK, ephemeral_signature: SI);
    clone(): Peer;
    get isMy(): boolean;
}
export declare class Me extends Peer {
    identity: Keypair;
    ephemeral: Keypair;
    constructor(identity: Keypair, ephemeral: Keypair);
    clone(): Me;
    get isMy(): boolean;
}
