import { Keypair } from '../types';
import { Offset } from '../util';
import { Leaf } from './leaf';
import { Node } from './node';
import { Peer } from './peer';
export declare function createTree(peers: Peer[], init: {
    identity: Keypair;
    exchange: Keypair;
}): Node;
export declare function cleanupTree(tree: Node, peer: Peer): void;
export declare function serializeTree(data: Uint8Array, view: DataView, offset: Offset, node: Node | Leaf): void;
export declare function deserializeTree(data: Uint8Array, view: DataView, offset: Offset): Node | Leaf;
