export declare enum ErrCode {
    INCONSISTENT_STATE = "INCONSISTENT_STATE",
    INVALID_SIGNATURE = "INVALID_SIGNATURE",
    ENCODING_ERROR = "ENCODING_ERROR",
    INVALID_ARGUMENT = "INVALID_ARGUMENT"
}
/**
 * Error class, used throughout the project
 */
export declare class Err extends Error {
    readonly code: ErrCode;
    constructor(code: ErrCode, details?: string);
}
